cURL
curl --request POST \
--url https://realtime.nocodemapapp.com/v0/map/{mapId}/location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": {
"Name": "The Kooks Restaurant",
"Address": "Frammi við Gjónna, Leynavatn 410, Faroe Islands",
"key": "The Kooks Restaurant"
},
"order": "1"
}
'import requests
url = "https://realtime.nocodemapapp.com/v0/map/{mapId}/location"
payload = {
"fields": {
"Name": "The Kooks Restaurant",
"Address": "Frammi við Gjónna, Leynavatn 410, Faroe Islands",
"key": "The Kooks Restaurant"
},
"order": "1"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: {
Name: 'The Kooks Restaurant',
Address: 'Frammi við Gjónna, Leynavatn 410, Faroe Islands',
key: 'The Kooks Restaurant'
},
order: '1'
})
};
fetch('https://realtime.nocodemapapp.com/v0/map/{mapId}/location', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "The Kooks Restaurant",
"id": "04P1DY1YbwePX2rjKo3H",
"placeId": "ChIJ6_ktdpMVvEgRJBv3ZEgxsD8",
"latLngLiteral": {
"lat": "61.89263500000001",
"lng": "-6.911805999999999"
},
"properties": {
"Restaurant": "The Kooks Restaurant",
"Address": "Frammi við Gjónna, Leynavatn 410, Faroe Islands",
"key": "The Kooks Restaurant"
}
}
}{
"error": 123,
"message": "<string>"
}Map Location API
Create a Map Location
Create a location in a specific map
POST
/
v0
/
map
/
{mapId}
/
location
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the map to retrieve
ID of the map location to retrieve
Body
application/json
All data of this location as object. MUST include a name & address field that was specified at the creation of Map.
Example:
{
"Name": "The Kooks Restaurant",
"Address": "Frammi við Gjónna, Leynavatn 410, Faroe Islands",
"key": "The Kooks Restaurant"
}
By default locations are listed by {order} in ascending order. Specify if you have specific preference on where this location shall be shown in the list. By default, it’s appended to the end of list.
Example:
"1"
Response
Location response
Show child attributes
Show child attributes
⌘I
